Page MenuHomePhabricator

Diagnose then fix orphan Flow board Talk:Dev.wikimedia.org on mw.org
Open, HighPublic

Description

For some reason, https://www.mediawiki.org/wiki/Talk:Dev.wikimedia.org wasn't moved to Talk:Web_APIs_hub when @Qgil moved its associated article on July 8 to Web APIs hub.

If Special:MovePage did not report an error when Qgil moved the article then that seems a bug. I don't know how to create Flow boards on mw.org to try to reproduce this possible bug, and I don't have the "Create Flow boards in any location" permission so I can't move this orphaned Flow board and its subpages.

Event Timeline

Spage assigned this task to DannyH.
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added subscribers: Spage, Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2015, 8:59 PM

I don't recall any error. Then again, I move pages almost blindly so I can not assure that I payed all the attention either.

DannyH removed DannyH as the assignee of this task.Jul 29 2015, 11:41 PM
DannyH triaged this task as High priority.
DannyH set Security to None.
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.
Qgil added a comment.Aug 4 2015, 12:49 PM

Meanwhile, can a short term fix be found for https://www.mediawiki.org/wiki/Web_APIs_hub ? The old discussion page is "lost" and inaccessible. If someone creates a new topic now, the problem might get bigger.

Can the Flow board be moved manually?

The original report just said the page was not moved.

I see there is a test/hello world post from June 20 (before the move). What is inaccessible?

@DannyH, can you move https://www.mediawiki.org/wiki/Talk:Dev.wikimedia.org to Talk:Web_APIs_hub , but leave this open (so we can check if it properly errors)?

Qgil closed this task as Resolved.Aug 4 2015, 3:47 PM
Qgil claimed this task.

Thank you! The diagnosis seems to be simple: I didn't have permissions to move Flow boards, so no Flow board was moved.

Resolved.

Mattflaschen-WMF reopened this task as Open.Aug 4 2015, 3:52 PM

Yes, but arguably it should block you from moving the content page too (to preserve consistency), or at least ask you if you want to move the content page despite being unable to move talk.

Qgil removed Qgil as the assignee of this task.Aug 8 2015, 12:48 PM
DannyH removed a subscriber: DannyH.Oct 5 2015, 10:57 PM